package com.izouma.nineth.dto.sumpay;

import com.alibaba.fastjson.annotation.JSONField;
import fosun.sumpay.merchant.integration.core.request.MerchantBaseRequest;
import lombok.Data;

@Data
public class BindCard extends MerchantBaseRequest {

    private String partner_id;
    private String user_id;
    //Aes加密	卡号。
    private String card_no;
    //Aes加密	银行预留手机号码。
    private String mobile_no;
    //Aes加密	持卡人姓名
    private String realname;
    //持卡人证件类型 1：身份证
    private String id_type;
    //持卡人证件号
    private String id_no;

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getBase64EncodedWords() {
        return new String[]{"terminal_info", "longitude", "latitude"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getAesEncodedWords() {
        return new String[]{"card_no","mobile_no","realname","id_no"};
    }

    @JSONField(
            serialize = false
    )
    @Override
    public String[] getCharsetChangeWords() {
        return new String[]{"terminal_info"};
    }


}
